## org.omg.CORBA
Class INV_FLAG

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.INV_FLAG

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class INV_FLAG
extends SystemException

An invalid flag was passed to an operation (for example, when creating a DII request).

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`INV_FLAG()`
`INV_FLAG(int minor, CompletionStatus completed)`
`INV_FLAG(java.lang.String orb_reason)`
`INV_FLAG(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### INV_FLAG

    public INV_FLAG()

### INV_FLAG

    public INV_FLAG(java.lang.String orb_reason)

### INV_FLAG

    public INV_FLAG(int minor,
                    CompletionStatus completed)

### INV_FLAG

    public INV_FLAG(java.lang.String orb_reason,
                    int minor,
                    CompletionStatus completed)